Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.measurement
Class PerformanceMonitorKeyResultImpl

    java.lang.Object
      com.sun.management.oss.impl.ManagedEntityKeyResultImpl
          com.sun.management.oss.impl.pm.measurement.PerformanceMonitorKeyResultImpl

All Implemented Interfaces:
  ManagedEntityKeyResult, PerformanceMonitorKeyResult, java.io.Serializable, SerializerFactory

public class PerformanceMonitorKeyResultImpl
extends ManagedEntityKeyResultImpl
implements PerformanceMonitorKeyResult

Title: com.ericsson.oss Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson Radio Systems AB

Version:
  1.0
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi, Katarina Wahlstr?m, Hooman Tahamtani
See Also:
  Serialized Form

Constructor Summary
`PerformanceMonitorKeyResultImpl()`

Method Summary
`PerformanceMonitorKey` | `getPerformanceMonitorKey()` Returns the primary key of the measurement job.
`java.lang.String[]` | `getSupportedSerializerTypes()` Return all the serializer types than can be created by this factory.
`Serializer` | `makeSerializer(java.lang.String serializerType)` Manufacture a Serializer for the object type inheriting the interface.

Methods inherited from class com.sun.management.oss.impl.ManagedEntityKeyResultImpl
`getException, getManagedEntityKey, isSuccess, setException, setManagedEntityKey, setSuccess, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.ManagedEntityKeyResult
`getException, getManagedEntityKey, isSuccess, setException, setManagedEntityKey, setSuccess`

Constructor Detail

### PerformanceMonitorKeyResultImpl

    public PerformanceMonitorKeyResultImpl()

Method Detail

### getPerformanceMonitorKey

    public PerformanceMonitorKey getPerformanceMonitorKey()

  Description copied from interface: `PerformanceMonitorKeyResult`
  Returns the primary key of the measurement job.

  Specified by:
    `getPerformanceMonitorKey` in interface `PerformanceMonitorKeyResult`
  Returns:
    PerformanceMonitorKey The primary key of the measurement job.

### getSupportedSerializerTypes

    public java.lang.String[] getSupportedSerializerTypes()

  Description copied from interface: `SerializerFactory`
  Return all the serializer types than can be created by this factory. This may return an empty array, in case no serializer is implemented.

  Specified by:
    `getSupportedSerializerTypes` in interface `SerializerFactory`
  Returns:
    an array of supported serializer types.

### makeSerializer

    public Serializer makeSerializer(java.lang.String serializerType)
                              throws java.lang.IllegalArgumentException

  Description copied from interface: `SerializerFactory`
  Manufacture a Serializer for the object type inheriting the interface.

  Specified by:
    `makeSerializer` in interface `SerializerFactory`
  Parameters:
    `serializerType` - the class name of the serializer interface that must be created. For example `XmlSerializer.getClass().getName()`
  Returns:
    a serializer matching the serializer type .
  Throws:
    `java.lang.IllegalArgumentException` - if no serializer can be created matching the provided Serializer Type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD